% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fastrInteropt.R
\name{java.type}
\alias{java.type}
\title{Access to a java type given by the fully qualified java class name. The class must be available on FastR`s interop classpath.}
\usage{
java.type(className, silent = FALSE)
}
\arguments{
\item{silent}{logical, default FALSE. Determines whether errors should be reported or not.}

\item{class}{a fully qualified java class name}
}
\value{
An polyglot value representing a java type. Otherwise either NULL if silent is set to TRUE, or error in case the class name could not be determined.
}
\description{
Access to a java type given by the fully qualified java class name. The class must be available on FastR`s interop classpath.
}
\examples{
java.type('java.util.ArrayList')
java.type('java.util.ArrayList')$class
new(java.type('java.util.ArrayList'))$getClass()
}
\seealso{
\code{\link{java.addClasspathEntry}}
}
